# class CSV::Parser::UnoptimizedStringIO

### Public Class Methods

new(string) click to toggle source

    # File lib/csv/parser.rb, line 665
    def initialize(string)
      @io = StringIO.new(string)
    end

### Public Instance Methods

each_line(*args, &block) click to toggle source

    # File lib/csv/parser.rb, line 673
    def each_line(*args, &block)
      @io.each_line(*args, &block)
    end

eof?() click to toggle source

    # File lib/csv/parser.rb, line 677
    def eof?
      @io.eof?
    end

gets(*args) click to toggle source

    # File lib/csv/parser.rb, line 669
    def gets(*args)
      @io.gets(*args)
    end